# MedicalCertificateScanningResult class

The result of the medical certificate scanning.

## Constructors

MedicalCertificateScanningResult.new({bool scanningSuccessful = false, required MedicalCertificatePatientInfoBox patientInfoBox, required List<MedicalCertificateCheckBox> checkBoxes, required List<MedicalCertificateDateRecord> dates, MedicalCertificateFormType formType = MedicalCertificateFormType.UNKNOWN, int clockwiseRotations = 0, ImageRef? croppedImage, double scaleX = 1.0, double scaleY = 1.0, required DocumentDetectionResult? documentDetectionResult})
MedicalCertificateScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

checkBoxes → List<MedicalCertificateCheckBox>
  Found checkboxes.
  final
clockwiseRotations → int
  The number of 90-degree clockwise rotations that were applied to the original image. The same number of counter-clockwise rotations are necessary to make the image upright again.
  final
croppedImage → ImageRef?
  The cropped image used for recognition.
  final
dates → List<MedicalCertificateDateRecord>
  Found dates.
  final
documentDetectionResult → DocumentDetectionResult?
  Result of the document detection in the input image. Is available only if the shouldCropDocument parameter is set to true.
  final
formType → MedicalCertificateFormType
  Form type.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
patientInfoBox → MedicalCertificatePatientInfoBox
  Patient info box.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scaleX → double
  The scale factor used to scale the image to the recognition size.
  final
scaleY → double
  The scale factor used to scale the image to the recognition size.
  final
scanningSuccessful → bool
  True if scanning was successful.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited